summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author titopoquito2010-07-03 05:58:33 +0200
committer Erik Hanson2010-07-03 05:58:33 +0200
commitf346684801a95c92ea114069e39ef826aa1e04f8 (patch)
tree36e3e5293aa1d5a6c52d9fe52c25412d73aa37fb
parentff7cbf8aa11724d598d756a134116dd94813c737 (diff)
downloadslackbuilds-f346684801a95c92ea114069e39ef826aa1e04f8.tar.gz
system/unrtf: Updated for version 0.21.1.
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--system/unrtf/slack-desc11
-rw-r--r--system/unrtf/unrtf.SlackBuild38
-rw-r--r--system/unrtf/unrtf.info8
3 files changed, 30 insertions, 27 deletions
diff --git a/system/unrtf/slack-desc b/system/unrtf/slack-desc
index 97573c5cab..f1f6f25ad2 100644
--- a/system/unrtf/slack-desc
+++ b/system/unrtf/slack-desc
@@ -4,15 +4,16 @@
# the right side marks the last column you can put a character in. You must make
# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
+
|-----handy-ruler------------------------------------------------------|
unrtf: unrtf (RTF file converter)
-unrtf:
+unrtf:
unrtf: UnRTF is a command-line program written in C which converts
unrtf: documents in Rich Text (.rtf) format to HTML, LaTeX, PostScript,
unrtf: and other formats. Converting to HTML, it supports a number of
unrtf: features of Rich Text Format.
-unrtf:
-unrtf:
-unrtf:
+unrtf:
+unrtf:
+unrtf:
unrtf: http://www.gnu.org/software/unrtf/unrtf.html
-unrtf:
+unrtf:
diff --git a/system/unrtf/unrtf.SlackBuild b/system/unrtf/unrtf.SlackBuild
index 9d14616464..f64e2c0e41 100644
--- a/system/unrtf/unrtf.SlackBuild
+++ b/system/unrtf/unrtf.SlackBuild
@@ -1,6 +1,9 @@
#!/bin/sh
+
# Slackware build script for unrtf
-# Copyright 2007-2009 by titopoquito (titopoquito@gmail.com)
+
+# Written by by titopoquito (titopoquito@gmail.com)
+
# Permission to use, copy, modify, and distribute this software for
# any purpose with or without fee is hereby granted, provided that
# the above copyright notice and this permission notice appear in all
@@ -18,21 +21,16 @@
# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
-# ---------------------------------------------------------------------------
-# Modified by the SlackBuilds.org Project
-
PRGNAM=unrtf
-VERSION=0.21.0
+VERSION=${VERSION:-0.21.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -56,17 +54,20 @@ else
LIBDIRSUFFIX=""
fi
-# Exit on most errors
-set -e
+set -e # Exit on most errors
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xvf $CWD/$PRGNAM"-"$VERSION.tar.gz
-cd $PRGNAM"-"$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -75,7 +76,8 @@ CXXFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--mandir=/usr/man \
--libdir=/usr/lib${LIBDIRSUFFIX} \
- --localstatedir=/var
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
@@ -83,13 +85,13 @@ make install DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/system/unrtf/unrtf.info b/system/unrtf/unrtf.info
index 699cb8e6fe..e00ede59f4 100644
--- a/system/unrtf/unrtf.info
+++ b/system/unrtf/unrtf.info
@@ -1,10 +1,10 @@
PRGNAM="unrtf"
-VERSION="0.21.0"
+VERSION="0.21.1"
HOMEPAGE="http://www.gnu.org/software/unrtf/unrtf.html"
-DOWNLOAD="http://www.gnu.org/software/unrtf/unrtf-0.21.0.tar.gz"
-MD5SUM="8d1f8617d6813308c310f111145c7cb9"
+DOWNLOAD="http://www.gnu.org/software/unrtf/unrtf-0.21.1.tar.gz"
+MD5SUM="ce069646837d0a2c15b439a5529afde8"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="titopoquito"
EMAIL="titopoquito@gmail.com"
-APPROVED="dsomero"
+APPROVED="Erik Hanson"